org.apache.tomcat.util.bcel.classfile

## Class Annotations

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.Annotations

-     public class Annotations
      extends Object

  base class for annotations

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotationEntry[]` | `getAnnotationEntries()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getAnnotationEntries

          public AnnotationEntry[] getAnnotationEntries()

      Returns:
        the array of annotation entries in this annotation

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.